From: Sophie Brun <sophie@offensive-security.com>
Date: Wed, 23 Jun 2021 15:34:35 +0200
Subject: avoid multiple declarations of globals

---
 src/common.h | 2 +-
 src/rebind.c | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/src/common.h b/src/common.h
index e85d63c..16d2fa4 100644
--- a/src/common.h
+++ b/src/common.h
@@ -44,7 +44,7 @@ void js_format_headers(char *headers);
 char *url_encode(char *buffer);
 
 /* These globals are set once, read many */
-struct global_variables
+extern struct global_variables
 {
 	pid_t parent_pid;
 	pid_t attack_pid;
diff --git a/src/rebind.c b/src/rebind.c
index 080f44b..13148d1 100644
--- a/src/rebind.c
+++ b/src/rebind.c
@@ -28,6 +28,8 @@
 #include "config.h"
 #include "rebind.h"
 
+struct global_variables globals;
+
 int main(int argc, char *argv[])
 {
 	char *target_ips = NULL, *fqdn = NULL, *attack_port = NULL, *callback_port = NULL, *iface_ip = NULL;
